services:
  modsecurity:
    image: owasp/modsecurity-crs:apache-alpine
    container_name: modsecurity
    restart: always
    environment:
      BACKEND: "http://localhost:80"
      SERVER_NAME: "localhost"
      PORT: "3331"
      MODSEC_AUDIT_LOG: "/var/log/modsec_audit.log"
      ERRORLOG: "/var/log/modsec_error.log"
      ACCESSLOG: "/var/log/apache2/access.log"
      BLOCKING_PARANOIA: 4
      DETECTION_PARANOIA: 4
      EXECUTING_PARANOIA: 4
      PARANOIA: 4
    network_mode: "host"
    volumes:
      - "/tmp/host-fs-auditlog.log:/var/log/modsec_audit.log"
      - "/tmp/host-fs-errorlog.log:/var/log/modsec_error.log"
      - "/tmp/host-fs-accesslog.log:/var/log/apache2/access.log"
